<%@ LANGUAGE="VBScript" %>

<% '***************************************************************************
   '* Football Pool                                                           *
   '*                                                                         *
   '* Copyright 2000 by Mike Hall                                             *
   '* Web address: http://www.brainjar.com                                    *
   '*                                                                         *
   '* Use permitted provided this notice remains intact. Any sale or redis-   *
   '* tribution without prior consent is prohibited.                          *
   '***************************************************************************
%>

<!-- #include file="protect.inc" -->
<!-- #include file="common.inc" -->
<!-- #include file="header.inc" -->

<% 'Get any form data.

   username = Request("username")
   password = Request("password")
   newpass1 = Request("newpass1")
   newpass2 = Request("newpass2")

   'If form data is present, check and process it.

   if Request.ServerVariables("Content_Length") > 0 then

     if password = "" then
        call ErrorMessage("You must enter your current password, try again.")
     elseif newpass1 = "" or newpass2 = "" then
       call ErrorMessage("You must select a new password and enter it twice, try again")
     elseif newpass1 <> newpass2 then
       call ErrorMessage("New password fields did not match, try again.")
     elseif Len(newpass1) < PASSWORD_MIN_LEN and Session("PoolUsername") <> ADMIN_USERNAME then
       call ErrorMessage("Passwords must be at least " & PASSWORD_MIN_LEN & " characters long, try again.")
     else

       'Verify current password.

       call OpenDB()
       sql = "select * from Users" _
          & " where Username = '" & Session("PoolUsername") & "'"
       set rs = DbConn.Execute(sql)
       if (rs.BOF and rs.EOF) then
           call ErrorMessage("User '" & username & "' not found, try again.")
         elseif Hash(rs.Fields("Salt").Value & password) <> rs.Fields("Password").Value then
           call ErrorMessage("Incorrect password, try again.")
         else

           'Update record with new seed and password.

           salt = CreateSalt()
           sql = "update Users set" _
               & " Salt = '" & salt & "', " _
               & " Password = '" & Hash(salt & newpass1) & "'" _
               & " where Username = '" & Session("PoolUsername") & "'"
           set rs = DbConn.Execute(sql)
           call InfoMessage("Your password has been changed.")
         end if
     end if

   end if %>

<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
<table bgcolor="#000066" border=0 cellpadding=1 cellspacing=0 width=300><tr><td>
<table bgcolor="#ffffff" border=0 cellpadding=3 cellspacing=0 width="100%">
<tr><th colspan=2>Change Password</th></tr>
<tr valign=bottom>
  <td><b>Username</b></td>
  <td><% = Session("PoolUsername") %></td>
</tr>
<tr valign=bottom>
  <td><b>Current Password</b></td>
  <td><input name="password" type="password" value="" size=10></td>
</tr>
<tr valign=bottom>
  <td><b>New Password</b></td>
  <td><input name="newpass1" type="password" value="" size=10></td>
</tr>
<tr valign=bottom>
  <td><b>New Password</b></td>
  <td><input name="newpass2" type="password" value="" size=10></td>
</tr>
<tr>
  <td colspan=2>
  You must enter your current password, then your new password twice in the
  spaces provided and hit 'Change'.
  </td>
</tr>
</table>
</td></tr></table>
<p>
<input type="submit" value="Change"> <input type="reset" value="Clear">
</form>

<!-- #include file="footer.inc" -->
