<%@ LANGUAGE="VBScript" %>

<% '***************************************************************************
   '* Football Pool                                                           *
   '*                                                                         *
   '* Copyright 2000 by Mike Hall                                             *
   '* Web address: http://www.brainjar.com                                    *
   '*                                                                         *
   '* Use permitted provided this notice remains intact. Any sale or redis-   *
   '* tribution without prior consent is prohibited.                          *
   '***************************************************************************
%>

<!-- #include file="protect.inc" -->
<!-- #include file="common.inc" -->
<!-- #include file="header.inc" -->

<% 'If user is not the Adminstator, redirect to login page.

   if Session("PoolUsername") <> ADMIN_USERNAME then
     Response.Redirect("login.asp")
   end if

  'Open the database.

   call OpenDB()

   'Get proper user values based on index.

   index     = Trim(Request.Form("index"))
   action    = Trim(Request.Form("action"))
   username  = Trim(Request.Form("username-" & index))
   password1 = Trim(Request.Form("password1-" & index))
   password2 = Trim(Request.Form("password2-" & index))

   msg = ""

   'Change a user's password.

   if action = "update" then
     if password1 = "" or password2 = "" then
       call ErrorMessage("You must select a new password and enter it twice, please try again.")
     elseif password1 <> password2 then
       call ErrorMessage("New password fields did not match, please try again.")
     elseif Len(password1) < PASSWORD_MIN_LEN and _
            Session("PoolUsername") <> ADMIN_USERNAME then
       call ErrorMessage("Passwords must be at least " & PASSWORD_MIN_LEN & " characters long, please try again.")
     else
       salt = CreateSalt()
       sql = "update Users set" _
          & " Salt = '" & salt & "'," _
          & " Password = '" & Hash(salt & password1) & "'" _
          & " where Username = '" & username & "'"
       set rs = DbConn.Execute(sql)
       msg = "User '" & username & "' updated."
     end if
   end if

   'Add a user.

   if action = "insert" then
     if password1 = "" or password2 = "" or password1 <> password2 then
       call ErrorMessage("New password fields did not match, please try again.")
     elseif Len(password1) < PASSWORD_MIN_LEN then
       call ErrorMessage("Passwords must be at least " & PASSWORD_MIN_LEN & " characters long, please try again.")
     else
       sql = "select * from Users where Username = '" & username &"'"
       set rs = DbConn.Execute(sql)
       if not(rs.BOF and rs.EOF) then
         call ErrorMessage("User '" & username & "' already exists.")
       else
         salt = CreateSalt()
         sql = "insert into Users" _
            & " (Username, Salt, Password)" _
            & " values('" & username & "'," _
            & " '" & salt & "'," _
            & " '" & Hash(salt & password1) & "')"
         set rs = DbConn.Execute(sql)
         msg = "User '" & username & "' added."
       end if
     end if
   end if

   if action = "delete" then
     sql = "delete from Users where Username = '" & username & "'"
     set rs = DbConn.Execute(sql)
     msg = "User '" & username & "' deleted."
   end if

  if msg <> "" then
    call InfoMessage(msg)
  end if

   'Display users. %>
<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
<input name="action" type="hidden" value="">
<input name="index"  type="hidden" value="">
<table bgcolor="#000066" border=0 cellpadding=1 cellspacing=0><tr><td>
<table bgcolor="#ffffff" border=0 cellpadding=3 cellspacing=0 width="100%">
<tr>
  <th>Username</th>
  <th>Password (enter twice to confirm)</th>
  <th colspan=2>&nbsp;</th>
</tr>
<% n = 0
   sql = "select * from Users" _
      & " where Username <> '" & ADMIN_USERNAME & "'" _
      & " order by Username"
   set rs = DbConn.Execute(sql)
   if not (rs.BOF and rs.EOF) then
     do while not rs.EOF
       if Round(n / 2) * 2 = n then %>
<tr valign=bottom>
<%     else %>
<tr class="alt" valign=bottom>
<%     end if
       n = n + 1 %>
  <td>
    <input name="username-<% = n %>" type="hidden" value="<% = rs.Fields("Username").Value %>">
    <% = rs.Fields("Username").Value %>&nbsp;
  </td>
  <td><input name="password1-<% = n %>"  type="password" value="" size=10>
  <input name="password2-<% = n %>" type="password" value="" size=10></td>
  <td><input type="submit" value="Update" onclick="this.form.action.value = 'update'; this.form.index.value = <% = n %>; return true"></td>
  <td><input type="submit" value="Delete" onclick="this.form.action.value = 'delete'; this.form.index.value = <% = n %>; return confirm('Are you sure you want to delete this user?')"></td>
</tr>
<%     rs.MoveNext
     loop
   end if
       if Round(n / 2) * 2 = n then %>
<tr valign=bottom>
<%     else %>
<tr bgcolor="#cccccc" valign=bottom>
<%     end if
       n = n + 1 %>
  <td><input name="username-<% = n %>" type="text" value="" size=10></td>
  <td><input name="password1-<% = n %>" type="password" value="" size=10>
  <input name="password2-<% = n %>" type="password" value="" size=10></td>
  <td><input type="submit" value="Add" onclick="this.form.action.value = 'insert'; this.form.index.value = <% = n %>; return true"></td>
  <td>&nbsp;</td>
</tr>
</table>
</td></tr></table>
</form>
<p>

<!-- #include file="footer.inc" -->
