<%@ LANGUAGE="VBScript" %>

<% '***************************************************************************
   '* Football Pool                                                           *
   '*                                                                         *
   '* Copyright 2000 by Mike Hall                                             *
   '* Web address: http://www.brainjar.com                                    *
   '*                                                                         *
   '* Use permitted provided this notice remains intact. Any sale or redis-   *
   '* tribution without prior consent is prohibited.                          *
   '***************************************************************************
%>

<!-- #include file="protect.inc" -->
<!-- #include file="common.inc" -->
<!-- #include file="header.inc" -->

<% 'Open the database.

   call OpenDB()

   'Default to current week if none was specified.

   week = Request("week")
   if week = "" then
     week = CurrentWeek()
   end if

   'Display that week's schedule. %>

<table bgcolor="#000066" border=0 cellpadding=1 cellspacing=0 width=450><tr><td>
<table bgcolor="#ffffff" border=0 cellpadding=3 cellspacing=0 width="100%">
<tr><th colspan=8>Week <% = week %></th></tr>
<%   sql = "select Schedule.*," _
         & " Teams.City as VCity, Teams.Name as VName, Teams.DisplayName as VDisplayName," _
         & " Teams2.City as HCity, Teams2.Name as HName, Teams2.DisplayName as HDisplayName" _
         & " from (Schedule inner join Teams on Schedule.VisitorID = Teams.TeamID)" _
         & " inner join Teams as Teams2 on Schedule.HomeID = Teams2.TeamID" _
         & " where Schedule.Week = " & week _
         & " order by Schedule.Date, Schedule.Time, Teams.City, Teams.Name"
   set rs = DbConn.Execute(sql)
   if not (rs.BOF and rs.EOF) then
     n = 0
     do while not rs.EOF
       visitor = rs.Fields("VCity").Value
       home    = rs.Fields("HCity").Value
       vscore  = rs.Fields("VisitorScore").Value
       hscore  = rs.Fields("HomeScore").Value
       ot      = rs.Fields("OT").Value
       result  = rs.Fields("Result").Value
       if rs.Fields("VDisplayName") <> "" then
         visitor = rs.Fields("VDisplayName").Value
       end if
       if rs.Fields("HDisplayName") <> "" then
         home = rs.Fields("HDisplayName")
       end if
       if result = rs.Fields("VisitorID").Value then
           visitor = "<b>" & visitor & "</b>"
           vscore = "<b>" & vscore & "</b>"
       elseif result = rs.Fields("HomeID").Value then
           home = "<b>" & home & "</b>"
           hscore = "<b>" & hscore & "</b>"
       end if
       if ot then
         ot = " OT"
       else
         ot = ""
       end if
       if Round(n / 2) * 2 = n then %>
<tr align=right>
<%     else %>
<tr align=right class="alt">
<%     end if
       n = n + 1 %>
  <td><% = WeekdayName(Weekday(rs.Fields("Date").Value), true) %>&nbsp;</td>
  <td><% = FormatDate(rs.Fields("Date").Value) %>&nbsp;</td>
  <td><% = FormatTime(rs.Fields("Time").Value) %>&nbsp;</td>
  <td><% = visitor %>&nbsp;</td>
  <td><% = vscore %>&nbsp;</td>
  <td>at <% = home %>&nbsp;</td>
  <td><% = hscore %>&nbsp;</td>
  <td class="small"><% = ot %>&nbsp;</td>
</tr>
<%     rs.MoveNext
     loop %>
</table>
</td></tr></table>
<p>
<%   str = OpenDates(week)
     if str <> "" then %>
<span class="default">
<b>Open Dates:</b> <% = str %>
</span>
<p>
<%   end if
   end if %>

<% 'List weeks. %>

<span class="default">
<b>Go to week:</b>&nbsp;
<% for i = 1 to NumberOfWeeks() %>
<a href="<% = Request.ServerVariables("SCRIPT_NAME") %>?week=<% = i %>">
<% = i %></a>&nbsp;
<% next %>
</span>

<!-- #include file="footer.inc" -->
